{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
</head>
<body>
    <header>
        <nav>
        </nav>
    </header>
    <main>
        <div>
            <h1>{{ todo_list.name }}</h1>
            <p><a href= "{% url 'todo_list_update' todo_list.id %}">Edit</a></p>
            <p><a href= "{% url 'todo_list_delete' todo_list.id %}">Delete</a></p>


            <h2>Tasks</h2>

            <table>
                <thead>
                    <tr>
                        <td>Task</td>
                        <td>Due date<td>
                    </tr>
                </thead>
                <tbody>
                    {% for task in todo_list.items.all %}
                        <tr>

                            <td><a href="{% url "todo_item_update" id=task.id %}">{{ task.task }}</a> </td>
                            <td> {{ task.due_date }}</td>
                        <tr>
                    {% endfor %}
                </tbody>

            </table>
        </div>
    </main>

</body>
</html>
